Imports System.Drawing

Namespace UTSModule.Production

    Public Class ErrCode
        Sub New ()
            Code = ""
            Msg =""
            Color = Color.White
        End Sub


        Sub New(code As String, msg As String, color As Color)
            Me.Code = code
            Me.Msg = msg
            Me.Color = color
        End Sub

        Public Property Code() As String

        Public Property Msg() As String

        Public Property Color() As Color

        Public Function CodeEqual(srcCode As String) As Boolean
            If String.Compare(Code, srcCode, True) = 0 Then Return True
            Return False
        End Function
    End Class
End NameSpace